Bug 1166489 - Bundling exception for coffee-script [NEEDINFO]
Summary: Bundling exception for coffee-script
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-coffee-script-source
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker DuplicSysLibsTracker PPCTracker ARM64, F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-11-21 05:05 UTC by Yaakov Selkowitz
Modified: 2017-08-08 11:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 11:49:40 UTC
vondruch: needinfo? (tchollingsworth)


Attachments (Terms of Use)
Patch for f21/f22 (2.02 KB, patch)
2014-11-21 05:50 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Yaakov Selkowitz 2014-11-21 05:05:31 UTC
In rubygem-coffee-script-1.6.3-1, the bundled coffee-script.js was unbundled in favour of a symlink to the copy in coffee-script(-common).  However, I would like to request this be rebundled for the following reasons:

* coffee-script requires nodejs, and hence v8, which are not working yet for any of the current secondary arches, and the lack thereof is causing a QA error:

https://fedoraproject.org/wiki/Architectures/AArch64/QA/21_Beta_RC1_Testing#Image_sanity

* Usage of rubygem-coffee-script (and rubygem-execjs) does not require nodejs, so it is a large hurdle to overcome for no particular gain here;

* Progress is being made upstream wrt support for these arches in v8 and nodejs, but when that does get fixed, the resulting version may not be able to go into F21;

* The "no bundling" policy still has not been fully enforced for JavaScript libraries;

* I seriously doubt upstream would consider unbundling, given the intended standalone nature of gems.

* I also wonder if it is desirable to require the coffee-script and rubygem-coffee-script versions to be in lockstep.

Comment 1 Fedora Blocker Bugs Application 2014-11-21 05:38:19 UTC
Proposed as a Freeze Exception for 21-final by Fedora user yselkowitz using the blocker tracking app because:

 This bug is causing a repoclosure error on secondary arches, as detailed within.  repoclosure bugs on *primary* arches are automatic blockers.

Comment 3 Vít Ondruch 2014-11-21 08:49:43 UTC
I disagree with your observations.

$ dnf repoquery --enablerepo=rawhide --requires rubygem-coffee-script-source
ruby(release)
ruby(rubygems)
ruby(rubygems)
coffee-script-common = 1.6.3

$ dnf repoquery --enablerepo=rawhide --requires coffee-script-common

In other words, rubygem-coffee-script-source depends on coffee-script-common and coffee-script-common does not depend on anything (neither on NodeJS).

The actual fault is in coffee-script package IMO, since this package does not follow neither JS packaging guidelines nor NodeJS packaging guidelines. Actually I should not require coffee-script-common but coffee-script directly, but that is even worse.

I am reassigning this bug to coffee-script for now.

Comment 4 Peter Robinson 2014-11-21 10:21:09 UTC
This isn't release blocking, it's not a core component, and can easily be fixed with a zero day update without impact.

Comment 5 Yaakov Selkowitz 2014-11-21 15:04:41 UTC
(In reply to Vít Ondruch from comment #3)
> I disagree with your observations.
> 
> $ dnf repoquery --enablerepo=rawhide --requires rubygem-coffee-script-source
> ruby(release)
> ruby(rubygems)
> ruby(rubygems)
> coffee-script-common = 1.6.3
> 
> $ dnf repoquery --enablerepo=rawhide --requires coffee-script-common
> 
> In other words, rubygem-coffee-script-source depends on coffee-script-common
> and coffee-script-common does not depend on anything (neither on NodeJS).

coffee-script-common is a subpackage of coffee-script, which BRs: nodejs-devel.  Therefore it cannot be built on the secondary arch Koji instances.

Comment 6 Rafael Fonseca 2015-08-13 15:47:50 UTC
Any updates on this?

Comment 7 Vít Ondruch 2015-08-14 08:14:22 UTC
Lets try needinfo ...

Comment 8 Fedora End Of Life 2015-11-04 10:51:45 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Vít Ondruch 2015-11-04 11:49:08 UTC
There was no change in the package past two years, so this is still an issue :/

Comment 10 Tom Hughes 2015-11-08 12:11:30 UTC
I'm not sure what you're proposing here? I see the problem, but the "cake" tool used to build coffee-script is written in JS using node as the execution engine so I don't see how we can make it build on platforms without node as things stand.

Comment 11 Yaakov Selkowitz 2015-11-08 17:28:55 UTC
(In reply to Tom Hughes from comment #10)
> I'm not sure what you're proposing here?

First, reassigning this to the correct component.  I'm proposing that rubygem-coffee-script-source should use its bundled coffee-script.js instead of using the system coffee-script on the basis that the latter cannot currently be built on several secondary architectures.  Ultimately, the lack of nodejs on some arches should not prevent us from shipping a simple .js file.

Comment 12 Tom Hughes 2015-11-08 17:33:46 UTC
Sorry, I kind of meant what did Vít Ondruch mean - he obviously had some other plan in mind when he reassigned it.

Comment 13 Vít Ondruch 2015-11-09 08:32:19 UTC
Obviously I did not plan to ask for bundling exception and I still don't think it is good idea.

Ultimately, we should rebuild everything from sources, and the bundled JS might be considered as binary blob. If there was no coffee-script package, that would be different story.

Comment 14 Jan Kurik 2016-02-24 13:17:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 15 Fedora End Of Life 2017-07-25 18:44:36 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-08-08 11:49:40 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.